All Apps and Add-ons

After installing Splunk Add-on Builder, why do I receive error "Unable to initialize modular input "validation_mi""?

Champion
Unable to initialize modular input "validation_mi" defined inside the app "splunk_app_addon-builder": Introspecting scheme=validation_mi: script running failed (exited with code 1). 

Clicking on Splunk Add-on Builder opens a blank page > receive above message
Actions taken so far : deleted validation_mi

New Member

hi all,

I'm getting error same error after installing the Splunk add-on builder(2.2.0) on Splunk 6.5. What could be the issue. I know if it is 3.0 then it won't work on Splunk < 8 version. I have python 2.3. Please help me with this.

0 Karma

Explorer

Hey @harig86 
I suggest you to extract the package using 7zip and put it under $SPLUNK_HOME/etc/apps/
Then splunk restart.  It would work fine without any error. 
I suspect that it would kindoff read permission issue in package.  

0 Karma

SplunkTrust
SplunkTrust

@harig66 This question is more than 3 years old. For better chances at an answer, please post a new question.

---
If this reply helps you, an upvote would be appreciated.
0 Karma

Communicator

Hi All-
Here is what I found in my experience:
The add-on builder 3.0.0 and 3.0.1 will NOT work for anything less than Splunk 8.0.0.

Please note! This is my experience and YMMV

Recommend:
Only use 2.2.0 with Splunk Enterprise <8.0.0 (example, I am successfully using TA-AddOnBuilder with Splunk ENT 7.2.7)

Hope this helps someone,
Mike

Path Finder

This has resolved the issue for me. Thank you

0 Karma

Communicator

Is now also an issue for me after upgrading to Version 3.0.0.

0 Karma

Champion

Hi - Is there any answer from splunk gurus?

0 Karma
State of Splunk Careers

Access the Splunk Careers Report to see real data that shows how Splunk mastery increases your value and job satisfaction.

Find out what your skills are worth!